# ZoneService (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.zone.client
Interface ZoneService

All Superinterfaces:
  com.threerings.presents.client.InvocationService

All Known Implementing Classes:
  ZoneMarshaller

    public interface ZoneService

extends com.threerings.presents.client.InvocationService

The client interface for zone related invocation services (e.g. moving between zones).

Nested Class Summary
`static interface` `ZoneService.ZoneMoveListener` Used to deliver responses to `moveTo(int, int, int, com.threerings.whirled.zone.client.ZoneService.ZoneMoveListener)` requests.

Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationService
`com.threerings.presents.client.InvocationService.ConfirmListener, com.threerings.presents.client.InvocationService.InvocationListener, com.threerings.presents.client.InvocationService.ResultListener`

Method Summary
`void` `moveTo(int zoneId, int sceneId, int version, ZoneService.ZoneMoveListener listener)` Requests that that this client's body be moved to the specified scene in the specified zone.

Method Detail

### moveTo

    void moveTo(int zoneId,
                int sceneId,
                int version,
                ZoneService.ZoneMoveListener listener)

  Requests that that this client's body be moved to the specified scene in the specified zone.

  Parameters:
    `zoneId` - the zone id to which we want to move.
    `sceneId` - the scene id to which we want to move.
    `version` - the version number of the scene object that we have in our local repository.
    `listener` - receives the callback when the request succeeds or fails.

Copyright © 2011. All Rights Reserved.